// simple vertex shader

uniform float time; // timecode in seconds
uniform float lens_size;
uniform float lens_strength; // sinnvolle werte: < 1
uniform vec4 anim_pos_start; // z.B. in [-1,1]
uniform vec4 anim_pos_end;  // z.B. in [-1,1]
uniform float anim_lens_speed_inv; // invers proportional zur geschwindigkeit der linse

void main()
{

	// fixed pipeline functionality
	gl_Position    = gl_ProjectionMatrix * gl_ModelViewMatrix * gl_Vertex;
	gl_FrontColor  = gl_Color;
	gl_TexCoord[0] = gl_MultiTexCoord0;
}
